ogma-core-1.12.0: Ogma: Helper tool to interoperate between Copilot and other languages.

Safe Haskell | Safe-Inferred
Language | Haskell2010

Data.Location

Description

Locations where conditions take place (within a file, or outside).

Synopsis

- data Location
  - = LocationNothing
  - | LocationFile String
  - | LocationFileLine String Int
  - | LocationFileLC String Int Int

# Documentation

data Location Source #

Locations where conditions take place (within a file, or outside).

Constructors

LocationNothing | No location info.
LocationFile String | Within a file.
LocationFileLine String Int | On a line within a file.
LocationFileLC String Int Int | On a line and column within a file.